Package writer2latex.bibtex

# Class BibTeXDocument

java.lang.Object
writer2latex.bibtex.BibTeXDocument

All Implemented Interfaces:
  `OutputFile`

public class BibTeXDocument extends Object implements OutputFile
Class representing a BibTeX document

## Constructor Summary

Constructors
Constructor
Description
`BibTeXDocument(String sName, boolean bIsMaster, OfficeReader ofr)`
Constructs a new BibTeX Document based on an office document

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMath()`
Test whether this document contains mathematical formulas
`String`
`getExportName(String sIdentifier)`
Get export name for an identifier
`String`
`getFileName()`
Returns the file name of the `OutputFile`.
`String`
`getMIMEType()`
Get the MIME type of the `OutputFile`.
`String`
`getName()`
Returns the document name without file extension
`boolean`
`isEmpty()`
Test whether or not this BibTeX document contains any entries
`boolean`
`isMasterDocument()`
Test whether this document is part of the main document flow (master documents) or an auxiliary document
`void`
`write(OutputStream os)`
Writes the `OutputFile` to an `OutputStream`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BibTeXDocument

public BibTeXDocument(String sName, boolean bIsMaster, OfficeReader ofr)
Constructs a new BibTeX Document based on an office document

Parameters:
  `sName` - The name of the document
  `bIsMaster` - is this a master document?
  `ofr` - the office document

## Method Details

### isEmpty

public boolean isEmpty()
Test whether or not this BibTeX document contains any entries

Returns:
  true if there is one or more entries in the document

### getExportName

public String getExportName(String sIdentifier)
Get export name for an identifier

Parameters:
  `sIdentifier` - the identifier
Returns:
  the export name

### getName

public String getName()
Returns the document name without file extension

Returns:
  the document name without file extension

### getFileName

public String getFileName()
Description copied from interface: `OutputFile`
Returns the file name of the `OutputFile`. This includes the file extension and may also include a relative path, always using / as separator.

Specified by:
  `getFileName` in interface `OutputFile`
Returns:
  the file name of this `OutputFile`

### getMIMEType

public String getMIMEType()
Description copied from interface: `OutputFile`
Get the MIME type of the `OutputFile`.

Specified by:
  `getMIMEType` in interface `OutputFile`
Returns:
  string representation of the MIME type

### isMasterDocument

public boolean isMasterDocument()
Description copied from interface: `OutputFile`
Test whether this document is part of the main document flow (master documents) or an auxiliary document

Specified by:
  `isMasterDocument` in interface `OutputFile`
Returns:
  true if this document is a master document

### containsMath

public boolean containsMath()
Description copied from interface: `OutputFile`
Test whether this document contains mathematical formulas

Specified by:
  `containsMath` in interface `OutputFile`
Returns:
  true if the document contains formulas

### write

public void write(OutputStream os) throws IOException
Description copied from interface: `OutputFile`
Writes the `OutputFile` to an `OutputStream`.

Specified by:
  `write` in interface `OutputFile`
Parameters:
  `os` - `OutputStream` to which the content should be written
Throws:
  `IOException` - if any I/O error occurs